Subject: Re: problem building program: undef ref _imp__gettext
From: "Mark Paulus" <[email-masked]>
To: "Charles Wilson" <[email-masked]>
Cc: "[email-masked]" <[email-masked]>
Date: Mon, 27 Aug 2001 11:49:57 -0600

Thanks, that worked.  But, it makes me confused.
When I build this particular app under linux/debian,
it does NOT have the -lintl linker flag.  And when I add
it, the link fails.  But under cygwin, I need it.  

Can anyone out there help me reconcile the issues here.
(So I can go back to the source and either provide a patch,
or do whatever to get it to work in both environs).

Thanks.

On Mon, 27 Aug 2001 13:41:58 -0400, Charles Wilson wrote:

>Mark Paulus wrote:
>
>> Hi,
>> 
>> I'm trying to compile/link a program, and I'm getting the following 
>> undefined reference:  _imp__gettext.
>> 
>> Is there some Environment variable, or something special I need to
>> do to enable gettext??  
>
>
>add -lintl to your link command.
>
>>(BTW, where is the '_imp_' getting 
>> pre-pended to the name anyway??)
>
>
>That's the way shared libraries on windows (DLLs) work.
>
>
>--Chuck
>
>
>
>--
>Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
>Bug reporting:         http://cygwin.com/bugs.html
>Documentation:         http://cygwin.com/docs.html
>FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/